
public class ObserverQuit implements Observer<String> {

    private ObserverQuit () {}

    public static ObserverQuit create () {
        return new ObserverQuit();
    }

    public void notify (String data) {

        if (data.equals("quit"))
            System.exit(0);
        else
            System.out.println("Quit observer recognizes " + data + " but does nothing");
    }

}